Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178119 - [RHEL3] dump_stack() isn't implemented on x86_64
Summary: [RHEL3] dump_stack() isn't implemented on x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Layton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-01-17 21:10 UTC by Jeff Layton
Modified: 2014-06-18 07:35 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0437
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 13:41:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch to add dump_stack functionality to x86_64 (deleted)
2006-01-17 21:18 UTC, Jeff Layton
no flags Details | Diff
simple kernel module that demonstrates problem (deleted)
2006-01-17 21:20 UTC, Jeff Layton
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Jeff Layton 2006-01-17 21:10:14 UTC
dump_stack() isn't implemented on x86_64. Trying to call it from a module gives
an error message like this:

This architecture does not implement dump_stack()

This is not a "bug" per-se, but it does mean that x86_64 lacks a debugging tool
that can be very nice to have (triggering a stack dump on a certain condition
from a module).

Comment 1 Jeff Layton 2006-01-17 21:18:31 UTC
Created attachment 123333 [details]
patch to add dump_stack functionality to x86_64

This patch corrected this problem on my test rig.

Comment 2 Jeff Layton 2006-01-17 21:20:09 UTC
Created attachment 123334 [details]
simple kernel module that demonstrates problem

This is a simple kernel module that simply does a dump_stack in the init phase.
This can be used to demonstrate the problem (and test the patch).

Comment 3 Ernie Petrides 2006-02-24 03:44:19 UTC
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.3.EL).


Comment 4 Ernie Petrides 2006-04-28 21:45:44 UTC
Adding a couple dozen bugs to CanFix list so I can complete the stupid advisory.

Comment 7 Red Hat Bugzilla 2006-07-20 13:41:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html



Note You need to log in before you can comment on or make changes to this bug.